<!DOCTYPE html>
<html lang="en">
<head>
  <title>Pucci Mart Pet</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <!-- Latest compiled and minified CSS -->
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0/css/all.min.css">
<!-- jQuery library -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.4/jquery.min.js"></script>
<link href='https://fonts.googleapis.com/css?family=Nunito' rel='stylesheet' type='text/css'>
<link href='https://fonts.googleapis.com/css?family=Lato:400,700' rel='stylesheet' type='text/css'>
<link href='https://fonts.googleapis.com/css?family=Poppins' rel='stylesheet' type='text/css'>

<!-- Latest compiled JavaScript -->
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
<link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Happy+Monkey&family=Squada+One&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Lexend+Deca&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css">
    <link href="https://fonts.googleapis.com/css2?family=ABeeZee&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>
</head>
<style>
    .navbar-header{
        margin-top: 4px;
    }
    .navbar-header span{
        margin-left: 4px;
    }
    .navbar-nav a {
        margin-left: 20px;
        color: #0a0a0a;
        font-size: 16px;
        font-family: Lato;
        font-style: normal;
        font-weight: 400;
        line-height: normal;
                
    }
    .navbar-left {
        margin-left: 10px;
    }
    .icon{
        margin-top: 15px;
    }
    .slide-content {
        display: flex;
        justify-content: space-evenly;
        align-items: center;

    }
    .slide-tilte{
        color: #333;
        font-size: 48px;
        font-family: Poppins;
        font-style: normal;
        font-weight: 500;
        line-height: 61px;
        letter-spacing: 0.48px;
    }
    .slide-description{
        color: #252525;
        font-size: 24px;
        font-family: Poppins;
        font-style: normal;
        font-weight: 400;
        line-height: 34px;
    }
    .btn-shop{
        border-radius: 13px;
        background: #07A081;
        color: white;
        width: 198px;
        height: 47px
    }
    .slide-icon svg{
        margin-top: 15px;
    }
    .main-tilte {
        color: #252525;
        font-size: 32px;
        font-family: Poppins;
        font-style: normal;
        font-weight: 400;
        line-height: 34px;
    }
    .main-description {
        color: #404146;
        font-size: 16px;
        font-family: Lato;
        font-style: normal;
        font-weight: 400;
        line-height: normal;
    }
    .pet-icon-section {
        display: flex;
        justify-content: space-between;
        margin-top: 20px;
    }
    .pet-icon-section img {
       margin-left: 10px;
    }
    .pet-icon-section span {
       margin-left: 10px;
       color: #3E3E3E;
        text-align: center;
        font-size: 24px;
        font-family: Poppins;
        font-style: normal;
        font-weight: 400;
        line-height: normal;
    }
    .pet-icon-section .col-3 {
        width: 259px;
        height: 101px;
        border-radius: 40px 10px 10px 40px ;
        background: linear-gradient(#07A081, #FFFFFF); 
    }
    .pet-icon-section .col-2 {
        width: 259px;
        height: 101px;
        border-radius: 40px 10px 10px 40px ;
        background: linear-gradient(#07A081, #FFFFFF); 
    }
    .cards-home {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    margin: 1rem 0;
    background: #FFFFFF;
}

.card-image img {
    width: 293px;
    height: 293px;
    border-radius: 11px;
}

.card {
    flex: 15%;
    /* White */
    box-shadow: 0px 0px 1px rgba(187, 187, 187, 0.25);
    border-radius: 10px !important;
    margin-left: 20px;
    margin-top: 20px;
}

.card-detail {
    margin-top: 20px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
.pet-name {
    color: #404146;
    font-size: 20px;
    font-family: Lato;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
}
.pet-des {
    color: #404146;
    font-size: 16px;
    font-family: Lato;
    font-style: normal;
    font-weight: 300;
    line-height: normal;
}
#discount_price {
    color: #404146;
    font-size: 16px;
    font-family: Lato;
    font-style: normal;
    font-weight: 300;
    line-height: normal;
}
#price {
    color: #404146;
    font-size: 16px;
    font-family: Lato;
    font-style: normal;
    font-weight: 300;
    line-height: normal;
}
.page {
    text-align: center;
}
.right_pucci {
    display: flex;
    flex-direction: column;
}
.pucci {
    display: flex;
    justify-content: space-between;
}
.subcribe{
    color: #252525;
    font-size: 32px;
    font-family: Lato;
    font-style: normal;
    font-weight: 400;
    line-height: 34px;
}
.contact {
color: #252525;
font-size: 25px;
font-family: Lato;
font-style: normal;
font-weight: 400;
line-height: 34px;
}
.slide-icon {
    margin-left: auto;
}


.footer {
    background: #F6F6F6;
    color: #545454;
    font-size: 20px;
    font-family: Nunito;
    font-style: normal;
    font-weight: 400;
    line-height: 34px;
}

.footer ul {
    list-style-type: none;
    margin: 0;
    padding: 0
}

.footer ul>li {
    padding: 4px;
    color:#545454;
}

.footer ul>li:hover {
    color: #957bda;
    cursor: pointer
}

.footer hr {
    border-width: 3px
}

.footer .card {
    padding: 2% 7%
}

.footer .social>i {
    padding: 1%;
    font-size: 15px
}

.footer .social>i:hover {
    color: #957bda;
    cursor: pointer
}

.footer .policy>div {
    padding: 4px
}

.footer .heading {
    font-family: 'Titillium Web', sans-serif;
    color: black
}

.footer .divider {
    margin-top: 5px;
    border-top: 1px solid
}
.pull-left {
    color: #828282;
    font-size: 16px;
    font-family: Nunito;
    font-style: normal;
    font-weight: 600;
    line-height: 124.5%;
}
.pull-right {
    color: #828282;
    font-size: 16px;
    font-family: Nunito;
    font-style: normal;
    font-weight: 600;
    line-height: 124.5%;
}
</style>
<body>
    <nav class="navbar ">
        <div class="container">
          <div class="navbar-header">
            <img src="images/logo.jpg"alt="logo" style="width: 43px;height: 45px;">
            <span>Pucci Mart</span>
          </div>
          <ul class="nav navbar-nav ">
            <li><a href="#" style="color: #07A081;">Home</a></li>
            <li><a href="#">Shop</a></li>
            <li><a href="#">Party Packages</a></li>
            <li><a href="#">Menu</a>    </li>
            <li><a href="#">About</a></li>
            <li><a href="#">Contact us</a></li>
          </ul>
          <form class="navbar-form navbar-left">
            <div class="input-group">
              <input type="text" class="form-control" placeholder="Search for products" name="search">
              <div class="input-group-btn">
                <button class="btn btn-default">
                  <i class="glyphicon glyphicon-search"></i>
                </button>
              </div>
            </div>
          </form>
          <div class="icon">
            <svg xmlns="http://www.w3.org/2000/svg" width="20" height="16" fill="currentColor" class="bi bi-cart-x" viewBox="0 0 16 16">
                <path d="M7.354 5.646a.5.5 0 1 0-.708.708L7.793 7.5 6.646 8.646a.5.5 0 1 0 .708.708L8.5 8.207l1.146 1.147a.5.5 0 0 0 .708-.708L9.207 7.5l1.147-1.146a.5.5 0 0 0-.708-.708L8.5 6.793 7.354 5.646z"/>
                <path d="M.5 1a.5.5 0 0 0 0 1h1.11l.401 1.607 1.498 7.985A.5.5 0 0 0 4 12h1a2 2 0 1 0 0 4 2 2 0 0 0 0-4h7a2 2 0 1 0 0 4 2 2 0 0 0 0-4h1a.5.5 0 0 0 .491-.408l1.5-8A.5.5 0 0 0 14.5 3H2.89l-.405-1.621A.5.5 0 0 0 2 1H.5zm3.915 10L3.102 4h10.796l-1.313 7h-8.17zM6 14a1 1 0 1 1-2 0 1 1 0 0 1 2 0zm7 0a1 1 0 1 1-2 0 1 1 0 0 1 2 0z"/>
            </svg>
            <svg xmlns="http://www.w3.org/2000/svg" width="20" height="16" fill="currentColor" class="bi bi-menu-up" viewBox="0 0 16 16">
                <path d="M7.646 15.854a.5.5 0 0 0 .708 0L10.207 14H14a2 2 0 0 0 2-2V3a2 2 0 0 0-2-2H2a2 2 0 0 0-2 2v9a2 2 0 0 0 2 2h3.793l1.853 1.854zM1 9V6h14v3H1zm14 1v2a1 1 0 0 1-1 1h-3.793a1 1 0 0 0-.707.293l-1.5 1.5-1.5-1.5A1 1 0 0 0 5.793 13H2a1 1 0 0 1-1-1v-2h14zm0-5H1V3a1 1 0 0 1 1-1h12a1 1 0 0 1 1 1v2zM2 11.5a.5.5 0 0 0 .5.5h8a.5.5 0 0 0 0-1h-8a.5.5 0 0 0-.5.5zm0-4a.5.5 0 0 0 .5.5h11a.5.5 0 0 0 0-1h-11a.5.5 0 0 0-.5.5zm0-4a.5.5 0 0 0 .5.5h6a.5.5 0 0 0 0-1h-6a.5.5 0 0 0-.5.5z"/>
            </svg>
            <svg xmlns="http://www.w3.org/2000/svg" width="20" height="16" fill="currentColor" class="bi bi-person-circle" viewBox="0 0 16 16">
                <path d="M11 6a3 3 0 1 1-6 0 3 3 0 0 1 6 0z"/>
                <path fill-rule="evenodd" d="M0 8a8 8 0 1 1 16 0A8 8 0 0 1 0 8zm8-7a7 7 0 0 0-5.468 11.37C3.242 11.226 4.805 10 8 10s4.757 1.225 5.468 2.37A7 7 0 0 0 8 1z"/>
            </svg>
          </div>
        </div>
    </nav>
    <hr style="width: 1008px;height: 1px;background-color: black;">
    <div class="container-fluid slide-content">
        <div class="col-4 d-flex flex-column justify-content-center align-items-center">
            <div class="slide-tilte">Love your plants<br>Take care of yourself</div><br>
            <div class="slide-description">5% of every purchase helps rescues</div><br>
            <div class="slide-button btn-group">
                <button class="btn btn-shop">SHOP NOW</button>
            </div>
            <div class="slide-icon">
                <svg xmlns="http://www.w3.org/2000/svg" width="32" height="32" fill="#07A081" class="bi bi-facebook" viewBox="0 0 16 16">
                    <path d="M16 8.049c0-4.446-3.582-8.05-8-8.05C3.58 0-.002 3.603-.002 8.05c0 4.017 2.926 7.347 6.75 7.951v-5.625h-2.03V8.05H6.75V6.275c0-2.017 1.195-3.131 3.022-3.131.876 0 1.791.157 1.791.157v1.98h-1.009c-.993 0-1.303.621-1.303 1.258v1.51h2.218l-.354 2.326H9.25V16c3.824-.604 6.75-3.934 6.75-7.951z"/>
                </svg>
                <svg xmlns="http://www.w3.org/2000/svg" width="32" height="32" fill="#07A081" class="bi bi-youtube" viewBox="0 0 16 16">
                    <path d="M8.051 1.999h.089c.822.003 4.987.033 6.11.335a2.01 2.01 0 0 1 1.415 1.42c.101.38.172.883.22 1.402l.01.104.022.26.008.104c.065.914.073 1.77.074 1.957v.075c-.001.194-.01 1.108-.082 2.06l-.008.105-.009.104c-.05.572-.124 1.14-.235 1.558a2.007 2.007 0 0 1-1.415 1.42c-1.16.312-5.569.334-6.18.335h-.142c-.309 0-1.587-.006-2.927-.052l-.17-.006-.087-.004-.171-.007-.171-.007c-1.11-.049-2.167-.128-2.654-.26a2.007 2.007 0 0 1-1.415-1.419c-.111-.417-.185-.986-.235-1.558L.09 9.82l-.008-.104A31.4 31.4 0 0 1 0 7.68v-.123c.002-.215.01-.958.064-1.778l.007-.103.003-.052.008-.104.022-.26.01-.104c.048-.519.119-1.023.22-1.402a2.007 2.007 0 0 1 1.415-1.42c.487-.13 1.544-.21 2.654-.26l.17-.007.172-.006.086-.003.171-.007A99.788 99.788 0 0 1 7.858 2h.193zM6.4 5.209v4.818l4.157-2.408L6.4 5.209z"/>
                </svg>
                <svg xmlns="http://www.w3.org/2000/svg" width="32" height="32" fill="#07A081" class="bi bi-twitter" viewBox="0 0 16 16">
                    <path d="M5.026 15c6.038 0 9.341-5.003 9.341-9.334 0-.14 0-.282-.006-.422A6.685 6.685 0 0 0 16 3.542a6.658 6.658 0 0 1-1.889.518 3.301 3.301 0 0 0 1.447-1.817 6.533 6.533 0 0 1-2.087.793A3.286 3.286 0 0 0 7.875 6.03a9.325 9.325 0 0 1-6.767-3.429 3.289 3.289 0 0 0 1.018 4.382A3.323 3.323 0 0 1 .64 6.575v.045a3.288 3.288 0 0 0 2.632 3.218 3.203 3.203 0 0 1-.865.115 3.23 3.23 0 0 1-.614-.057 3.283 3.283 0 0 0 3.067 2.277A6.588 6.588 0 0 1 .78 13.58a6.32 6.32 0 0 1-.78-.045A9.344 9.344 0 0 0 5.026 15z"/>
                </svg>
                <svg xmlns="http://www.w3.org/2000/svg" width="32" height="32" fill="#07A081" class="bi bi-instagram" viewBox="0 0 16 16">
                    <path d="M8 0C5.829 0 5.556.01 4.703.048 3.85.088 3.269.222 2.76.42a3.917 3.917 0 0 0-1.417.923A3.927 3.927 0 0 0 .42 2.76C.222 3.268.087 3.85.048 4.7.01 5.555 0 5.827 0 8.001c0 2.172.01 2.444.048 3.297.04.852.174 1.433.372 1.942.205.526.478.972.923 1.417.444.445.89.719 1.416.923.51.198 1.09.333 1.942.372C5.555 15.99 5.827 16 8 16s2.444-.01 3.298-.048c.851-.04 1.434-.174 1.943-.372a3.916 3.916 0 0 0 1.416-.923c.445-.445.718-.891.923-1.417.197-.509.332-1.09.372-1.942C15.99 10.445 16 10.173 16 8s-.01-2.445-.048-3.299c-.04-.851-.175-1.433-.372-1.941a3.926 3.926 0 0 0-.923-1.417A3.911 3.911 0 0 0 13.24.42c-.51-.198-1.092-.333-1.943-.372C10.443.01 10.172 0 7.998 0h.003zm-.717 1.442h.718c2.136 0 2.389.007 3.232.046.78.035 1.204.166 1.486.275.373.145.64.319.92.599.28.28.453.546.598.92.11.281.24.705.275 1.485.039.843.047 1.096.047 3.231s-.008 2.389-.047 3.232c-.035.78-.166 1.203-.275 1.485a2.47 2.47 0 0 1-.599.919c-.28.28-.546.453-.92.598-.28.11-.704.24-1.485.276-.843.038-1.096.047-3.232.047s-2.39-.009-3.233-.047c-.78-.036-1.203-.166-1.485-.276a2.478 2.478 0 0 1-.92-.598 2.48 2.48 0 0 1-.6-.92c-.109-.281-.24-.705-.275-1.485-.038-.843-.046-1.096-.046-3.233 0-2.136.008-2.388.046-3.231.036-.78.166-1.204.276-1.486.145-.373.319-.64.599-.92.28-.28.546-.453.92-.598.282-.11.705-.24 1.485-.276.738-.034 1.024-.044 2.515-.045v.002zm4.988 1.328a.96.96 0 1 0 0 1.92.96.96 0 0 0 0-1.92zm-4.27 1.122a4.109 4.109 0 1 0 0 8.217 4.109 4.109 0 0 0 0-8.217zm0 1.441a2.667 2.667 0 1 1 0 5.334 2.667 2.667 0 0 1 0-5.334z"/>
                </svg>
            </div>
        </div>
        <div class="col-4">
            <img src="images/1.png" style="width: 100%;
            height: auto;">
        </div>
        <div class="col-4">
            <img src="images/2.JPG" style="width: 100%;
            height: auto;">   
        </div>
    </div>
    <br>
    <div class="container-fluid main-content">
        <div class="col-12 d-flex flex-column justify-content-center align-items-center text-center">
            <div class="main-tilte">Shop By Pet</div><br>
            <div class="main-description">Shop the latest high-end designer products for your pups at our luxury dog boutique!</div><br>
        </div>
    </div>
    <div class="container">
        <div class="row pet-icon-section">
            <div class="col-3">
                <img src="images/cat-kitten.png" style="width: 80px;
                height: 94px;">
                <span>Cats</span>
            </div>
            <div class="col-2">
                <img src="images/bird-clip-art.png" style="width: 80px;
                height: 94px;">
                <span>Bird</span>
            </div>
            <div class="col-2">
                <img src="images/dog-collar.png" style="width: 80px;
                height: 94px;">
                <span>Dogs</span>
            </div>
            <div class="col-3">
                <img src="images/goldfish.png" style="width: 80px;
                height: 94px;">
                <span>Fish</span>
            </div>
            <div class="col-2">
                <img src="images/domestic-rabbit.png" style="width: 80px;
                height: 94px;">
                <span>Rabbit</span>
            </div>
        </div>
    </div>
    <br>
    <br>
    <br>
    <div class="container-fluid main-content">
        <div class="col-12 d-flex flex-column justify-content-center align-items-center text-center">
            <div class="main-tilte">All Pet</div><br>
            <div class="main-description">Shop the latest high-end designer products for your pups at our luxury dog boutique!</div><br>
        </div>
    </div>
    <div class="container">
        <div class="row row-cols-1 row-cols-md-3">
            <div class="col mb-4">
                <div class="cards-home">

                </div>
            </div>
        </div>
        <div class="row mt-4 justify-content-center">
            <div class="col-md-12 page">
                <ul class="pagination" id="page_container">
                </ul>
            </div>
        </div>
    </div>
    <br>
    <br>
    <br>
    <div class="container pucci">
        <div class="img_pucci">
            <img src="images/3.png" style=" height: 400px;">
        </div>
        <div class="right_pucci">
            <div class="subcribe">
                <p>Subcribe for updates</p>
            </div>
            <br>
            <div class="input-group">
                <input type="text" class="form-control" placeholder="Search for products" name="search">
                <div class="input-group-btn">
                  <button class="btn btn-default">
                    <i class="glyphicon glyphicon-search"></i>
                  </button>
                </div>
            </div>
            <br>
            <div class="contact">
                <p>contact us: info@pucciMart.com</p>
            </div>
            <br>
            <br>
            <div class="slide-icon">
                <svg xmlns="http://www.w3.org/2000/svg" width="32" height="32" fill="#07A081" class="bi bi-facebook" viewBox="0 0 16 16">
                    <path d="M16 8.049c0-4.446-3.582-8.05-8-8.05C3.58 0-.002 3.603-.002 8.05c0 4.017 2.926 7.347 6.75 7.951v-5.625h-2.03V8.05H6.75V6.275c0-2.017 1.195-3.131 3.022-3.131.876 0 1.791.157 1.791.157v1.98h-1.009c-.993 0-1.303.621-1.303 1.258v1.51h2.218l-.354 2.326H9.25V16c3.824-.604 6.75-3.934 6.75-7.951z"/>
                </svg>
                <svg xmlns="http://www.w3.org/2000/svg" width="32" height="32" fill="#07A081" class="bi bi-youtube" viewBox="0 0 16 16">
                    <path d="M8.051 1.999h.089c.822.003 4.987.033 6.11.335a2.01 2.01 0 0 1 1.415 1.42c.101.38.172.883.22 1.402l.01.104.022.26.008.104c.065.914.073 1.77.074 1.957v.075c-.001.194-.01 1.108-.082 2.06l-.008.105-.009.104c-.05.572-.124 1.14-.235 1.558a2.007 2.007 0 0 1-1.415 1.42c-1.16.312-5.569.334-6.18.335h-.142c-.309 0-1.587-.006-2.927-.052l-.17-.006-.087-.004-.171-.007-.171-.007c-1.11-.049-2.167-.128-2.654-.26a2.007 2.007 0 0 1-1.415-1.419c-.111-.417-.185-.986-.235-1.558L.09 9.82l-.008-.104A31.4 31.4 0 0 1 0 7.68v-.123c.002-.215.01-.958.064-1.778l.007-.103.003-.052.008-.104.022-.26.01-.104c.048-.519.119-1.023.22-1.402a2.007 2.007 0 0 1 1.415-1.42c.487-.13 1.544-.21 2.654-.26l.17-.007.172-.006.086-.003.171-.007A99.788 99.788 0 0 1 7.858 2h.193zM6.4 5.209v4.818l4.157-2.408L6.4 5.209z"/>
                </svg>
                <svg xmlns="http://www.w3.org/2000/svg" width="32" height="32" fill="#07A081" class="bi bi-twitter" viewBox="0 0 16 16">
                    <path d="M5.026 15c6.038 0 9.341-5.003 9.341-9.334 0-.14 0-.282-.006-.422A6.685 6.685 0 0 0 16 3.542a6.658 6.658 0 0 1-1.889.518 3.301 3.301 0 0 0 1.447-1.817 6.533 6.533 0 0 1-2.087.793A3.286 3.286 0 0 0 7.875 6.03a9.325 9.325 0 0 1-6.767-3.429 3.289 3.289 0 0 0 1.018 4.382A3.323 3.323 0 0 1 .64 6.575v.045a3.288 3.288 0 0 0 2.632 3.218 3.203 3.203 0 0 1-.865.115 3.23 3.23 0 0 1-.614-.057 3.283 3.283 0 0 0 3.067 2.277A6.588 6.588 0 0 1 .78 13.58a6.32 6.32 0 0 1-.78-.045A9.344 9.344 0 0 0 5.026 15z"/>
                </svg>
                <svg xmlns="http://www.w3.org/2000/svg" width="32" height="32" fill="#07A081" class="bi bi-instagram" viewBox="0 0 16 16">
                    <path d="M8 0C5.829 0 5.556.01 4.703.048 3.85.088 3.269.222 2.76.42a3.917 3.917 0 0 0-1.417.923A3.927 3.927 0 0 0 .42 2.76C.222 3.268.087 3.85.048 4.7.01 5.555 0 5.827 0 8.001c0 2.172.01 2.444.048 3.297.04.852.174 1.433.372 1.942.205.526.478.972.923 1.417.444.445.89.719 1.416.923.51.198 1.09.333 1.942.372C5.555 15.99 5.827 16 8 16s2.444-.01 3.298-.048c.851-.04 1.434-.174 1.943-.372a3.916 3.916 0 0 0 1.416-.923c.445-.445.718-.891.923-1.417.197-.509.332-1.09.372-1.942C15.99 10.445 16 10.173 16 8s-.01-2.445-.048-3.299c-.04-.851-.175-1.433-.372-1.941a3.926 3.926 0 0 0-.923-1.417A3.911 3.911 0 0 0 13.24.42c-.51-.198-1.092-.333-1.943-.372C10.443.01 10.172 0 7.998 0h.003zm-.717 1.442h.718c2.136 0 2.389.007 3.232.046.78.035 1.204.166 1.486.275.373.145.64.319.92.599.28.28.453.546.598.92.11.281.24.705.275 1.485.039.843.047 1.096.047 3.231s-.008 2.389-.047 3.232c-.035.78-.166 1.203-.275 1.485a2.47 2.47 0 0 1-.599.919c-.28.28-.546.453-.92.598-.28.11-.704.24-1.485.276-.843.038-1.096.047-3.232.047s-2.39-.009-3.233-.047c-.78-.036-1.203-.166-1.485-.276a2.478 2.478 0 0 1-.92-.598 2.48 2.48 0 0 1-.6-.92c-.109-.281-.24-.705-.275-1.485-.038-.843-.046-1.096-.046-3.233 0-2.136.008-2.388.046-3.231.036-.78.166-1.204.276-1.486.145-.373.319-.64.599-.92.28-.28.546-.453.92-.598.282-.11.705-.24 1.485-.276.738-.034 1.024-.044 2.515-.045v.002zm4.988 1.328a.96.96 0 1 0 0 1.92.96.96 0 0 0 0-1.92zm-4.27 1.122a4.109 4.109 0 1 0 0 8.217 4.109 4.109 0 0 0 0-8.217zm0 1.441a2.667 2.667 0 1 1 0 5.334 2.667 2.667 0 0 1 0-5.334z"/>
                </svg>
            </div>
        </div>
    </div>
    <div class="container">
        <img src="images/back1.JPG" style="width: 1200px;
        height: 202px;">
    </div>
    <div class="container">
        <img src="images/back2.JPG" style="width: 1200px;
        height: 400x;">
    </div>
    <br>
    <br>
    <div class="container-fluid mt-5 footer">
        <div class="card bg-white mx-5">
            <div class="row mb-4">
                <div class="col-md-4 col-sm-2 col-xs-2">
                    <h2 class="heading">ABOUT</h2>
                    <ul>
                        <li>Contact Us</li>
                        <li>Privacy Policy</li>
                        <li>Term and condition </li>
                        
                    </ul>
                </div>
                <div class="col-md-4 col-sm-2 col-xs-2">
                    <h2 class="heading">SUPPORT</h2>
                    <ul class="card-text">
                        <li>Shipping Info</li>
                        <li>Track Order</li>
                        <li>Help/FAQ</li>
                        
                    </ul>
                </div>
                <div class="col-md-4 col-sm-2 col-xs-2">
                    <h2 class="heading">CONTACT US</h2>
                    <ul class="card-text">
                        <li>Call Us +123 456 789</li>
                        <li>Email us: huy@gmail.com</li>
                        <div class="icon-social">
                            <img src="images/googleplay.png">
                            <img src="images/AppStore.png">
                        </div>
                        
                    </ul>
                </div>
            </div>
            <div class="divider mb-4"> </div>
            
            <br>
            <div class="row">
                <div class="col-md-6 col-sm-6 col-xs-6">
                    <div class="pull-left">
                        <p><i class="fa fa-copyright"></i> All right reserve @Puccimart</p>
                    </div>
                </div>
                <div class="col-md-6 col-sm-6 col-xs-6">
                    <div class="pull-right mr-4 d-flex policy">
                        <div>Terms and condition</div>
                    </div>
                </div>
            </div>
        </div>
    </div>

</body> 
<script>
    $(document).ready(function () {
        /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
        const gBASE_URL = "https://pucci-mart.onrender.com/api";
        var gPetList = [];
        // Tổng số bản ghi của hệ thống
        var gTotalRecords = {
            count: 0
        }
        // Tham số limit (Số lượng bản ghi tối đa trên 1 trang)
        var gPerpage = 6;
        // Tổng số trang. Math ceil để lấy số bản ghi tối đa có được. Ví dụ: 10 / 3 = 3.33 => Cần 4 trang hiển thị
        var gTotalPages = {
            totalPages: 0
        }
        /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
        onPageLoading();

        //xử lý phân trang
        $("#page_container").on("click", ".page-number", function () {
            var vPageNum = $(this).data("pagenum");
            PaginationAndLoadData(vPageNum);
        });

        /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
        function onPageLoading() {
            //Rest api để lấy bản ghi
            requestApiGetAllPets(gTotalRecords, gTotalPages);
        }

        /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/

        function requestApiGetAllPets(paramTotalRecords, paramTotalPages) {
            $.ajax({
                url: gBASE_URL + "/pets",
                type: "GET",
                success: function (paramData) {
                    console.log(paramData);
                    gPetList = paramData.rows; //Lưu mảng pet vào biến toàn cục
                    paramTotalRecords.count = paramData.count; //Lưu số bản ghi vào biến toàn cục
                    paramTotalPages.totalPages = Math.ceil(paramTotalRecords.count / gPerpage); // Tổng số trang. Math ceil để lấy số bản ghi tối đa có được. Ví dụ: 10 / 3 = 3.33 => Cần 4 trang hiển thị
                    // Thực hiện xử lý hiển thị của trang 1
                    PaginationAndLoadData(1);
                },
                error: function (paramError) {
                    console.log(paramError.status);
                }
            });
        }

        function PaginationAndLoadData(paramPageNum) {

            // Hàm tạo thanh phân trang
            createPagination(paramPageNum);

            // Hàm hiển thị dữ liệu dựa vào 2 tham số phân trang
            fetchData(gPerpage, paramPageNum);
        }

        function createPagination(paramPageNum) {
            // Xóa trắng phần tử cũ
            $("#page_container").html("");
            // Nếu tran hiện tại là trang 1 thì nút Prev sẽ bị disable
            if (paramPageNum == 1) {
                $("#page_container").append("<li class='page-item disabled previous'><a href='javascript:void(0)' class='page-link'><</a></li>");
            } else {
                $("#page_container").append("<li class='page-item page-number' data-pagenum=" + (paramPageNum - 1) + "><a href='javascript:void(0)' class='page-link'><</a></li>");
            }

            // Hiển thị 3 trang trong phạm vi
            for (var bi = 0; bi <= 2; bi++) {
                if (paramPageNum == (paramPageNum + bi)) {
                    $("#page_container").append("<li class='page-item disabled'><a href='javascript:void(0)' class='page-link active-page-number'>" + (paramPageNum + bi) + "</a></li>");
                } else {
                    if ((paramPageNum + bi) <= gTotalPages.totalPages) {
                        $("#page_container").append("<li class='page-item page-number' data-pagenum=" + (paramPageNum + bi) + "><a href='javascript:void(0)' class='page-link'>" + (paramPageNum + bi) + "</a></li>");
                    }
                }
            }

            // Nếu tran hiện tại là trang cuối cùng thì nút Next sẽ bị disable
            if (paramPageNum == gTotalPages.totalPages) {
                $("#page_container").append("<li class='page-item disabled next'><a href='javascript:void(0)' class='page-link'>></a></li>");
            } else {
                $("#page_container").append("<li class='page-item page-number' data-pagenum=" + (paramPageNum + 1) + "><a href='javascript:void(0)' class='page-link'>></a></li>");
            }

        }

        function fetchData(paramPerpage, paramPageNum) {
            const vQueryParams = new URLSearchParams({
                "_limit": paramPerpage,
                "_page": paramPageNum - 1 //Api này trang 1 tính từ 0
            });
            console.log(gBASE_URL + "/pets?" + vQueryParams.toString());

            $.ajax({
                type: 'get',
                url: gBASE_URL + "/pets?" + vQueryParams.toString(),
                dataType: 'json',
                success: function (paramData) {
                    console.log(paramData);
                    loadDataToPetsSection(paramData.rows);
                },
                error: function () {
                    $(".cards-home").html("Error");
                }
            });
        }

        function loadDataToPetsSection(paramData) {
            // Xóa trắng phần tử cũ
            $(".cards-home").html("");
            for (var bI = 0; bI < paramData.length; bI++) {
                $(".cards-home").append(`
                <div class="card card-pets" id="card-${paramData[bI].id - 1}">
                    <div class="card-image">
                        <img src="Images/cooking.man.header.png" alt="">
                    </div>
                    <div class="card-detail">
                        <div class="row">
                            <p class="pet-name">Home pet </p>
                            <p class="pet-des">Male Young</p>
                            <p id="discount_price">$ ${paramData[bI].promotionPrice} <del id="price">$ ${paramData[bI].price}</del></p>
                        </div>
                    </div>
                </div>
                `);

                $(`#card-${paramData[bI].id - 1} .card-image img`).attr("src", paramData[bI].imageUrl);
                $(`#card-${paramData[bI].id - 1}`).find(".pet-name").html(paramData[bI].name);
                $(`#card-${paramData[bI].id - 1}`).find(".pet-des").html(paramData[bI].description);
                
                
            }
        }

    });
</script>

</html>
